edu.sc.seis.sod.process.waveform

## Class SeismogramScript

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractScriptSubsetter
  - - edu.sc.seis.sod.process.waveform.SeismogramScript

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter

      public class SeismogramScript
      extends AbstractScriptSubsetter
      implements WaveformProcess

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `config, engine, factory, script, scriptType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeismogramScript(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.
    `WaveformResult` | `runScript(VelocityEvent event, VelocityChannel channel, java.util.List<VelocityRequest> request, java.util.List<VelocityRequest> available, java.util.List<VelocitySeismogram> seismograms, CookieJar cookieJar)` Run the script with the arguments as predefined variables.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `cleanScript, eval, preeval, pullResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeismogramScript

          public SeismogramScript(org.w3c.dom.Element config)

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`

    - #### runScript

          public WaveformResult runScript(VelocityEvent event,
                                          VelocityChannel channel,
                                          java.util.List<VelocityRequest> request,
                                          java.util.List<VelocityRequest> available,
                                          java.util.List<VelocitySeismogram> seismograms,
                                          CookieJar cookieJar)
                                   throws java.lang.Exception

      Run the script with the arguments as predefined variables.
      Throws:
        `java.lang.Exception`